Skip to content

Get application AI models

Request

Returns a list of AI models found in a specific application

Security
bearer-key
Path
applicationUuidstringrequired

Application UUID

Query
cursorstring

Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

limitinteger

Specifies the maximum number of items to be returned in the response.

GET
/api/v3.0/applications/{applicationUuid}/ai/findings/models
curl -i -X GET \
  'https://baseUrl/api/v3.0/applications/{applicationUuid}/ai/findings/models?cursor=string&limit=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
responseArray of objects(v3.DTO_AIModel)
supportTokenstring
additionalDataobject(v3.DTO_AdditionalData)
Response
{ "response": [ {} ], "supportToken": "string", "additionalData": { "paging": {}, "totalItems": 0 } }